Bug 491747 - anaconda mislabels the root partition in rescue mode (selinux) --> trouble
anaconda mislabels the root partition in rescue mode (selinux) --> trouble
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 16:04 EDT by Alex Kanavin
Modified: 2009-04-22 17:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 17:23:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Kanavin 2009-03-23 16:04:40 EDT
When booting the latest rawhide iso in rescue mode the mount seems to mess up SELinux labels. If I reboot after the rescue-mode mount, there's a ton of permission denied messsages and the system hangs. Things work just far enough to boot in single mode and run

$ restorecon -v -R /

and then it works again. Restorecon prints a few messages like

restorecon reset / context system_u:-object_r:mnt_t:s0 -> system_u:-object_r:root_t:s0
Comment 1 Alex Kanavin 2009-04-04 15:22:57 EDT
The problem persists in F11 Beta.
Comment 2 Chris Lumens 2009-04-16 09:37:27 EDT
This should be fixed in the next build of anaconda.  Thanks for the bug report.
Comment 3 Alex Kanavin 2009-04-22 16:07:38 EDT
I just tried today's iso image (anaconda 11.5.0.46) and instead of just failing, the boot proceeds to relabel the entire drive, which takes quite some time.
Comment 4 Chris Lumens 2009-04-22 17:23:42 EDT
Yes, that's the fix.  We don't know what you've done and what files you've changed, so we will have to force a restorecon on reboot.

Note You need to log in before you can comment on or make changes to this bug.